#!/usr/bin/perl
use strict;
use warnings FATAL => qw(all);

# standard output test for utf8_colorize

my $txt = <<END;
Returns a random fractional number greater than or equal to 0 and less than the value of EXPR. (EXPR should be positive.)
If EXPR is omitted, the value 1 is used. Currently EXPR with
the value 0 is also special-cased as 1 (this was undocumented before Perl 5.8.0 and is subject to change in future versions 
of Perl). Automatically calls srand unless srand has already
been called. See also srand.
END

my @data = split(/\n/, $txt);
my $dsz = $#data + 1;
my $max = 100;
$max = $ARGV[1] if (defined $ARGV[1]);

$| = 1;  # autoflush

my $total = 1;
while (1) {
	sleep int(rand($ARGV[0]+1));
	my $count = int(rand(3))+1;
	foreach (0..$count) {
		print "$total ".$data[rand($dsz)]."\n";
		$total++;
	}
	last if ($total >= $max);
}
